%define name vde2
%define version 2.2.2
%define release alt1
%define major   .2
%define libname      lib%name%major

Summary: Virtual Distributed Ethernet
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1: README.altlinux
Packager: Igor Vlasenko <viy@altlinux.ru>
License: GPL
Group: Networking/Other
Url: http://vde.sourceforge.net/
#BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# (sb) not picked up automagically
Requires: %libname

Patch: vde2-2.2.2-alt-PATH_MAX-1.patch
Patch1: vde2-2.2.2-alt-link.patch

BuildRequires: gcc-c++

%description
VDE is a virtual network that can be spawned over a set of physical 
computer over the Internet

VDE connects together: 
  (1) real GNU-linux boxes (tuntap) 
  (2) virtual machines: UML-User Mode Linux, qemu, bochs, MPS.

VDE can be used: 
  (i) to create a general purpose tunnel (every protocol that runs 
    on a Ethernet can be put into the tunnel) 
  (ii) to connect a set of virtual machine to the Internet with no 
    need of free access of tuntap 
  (iii) to support mobility: a VDE can stay interconnected despite 
    of the change of virtual cables, i.e. the change of IP addresses 
    and interface in the real world

%package -n %{libname}
Summary: VDE libraries
Group: Networking/Other

%description -n %{libname}
Library files for VDE

%package -n libvde-devel
Summary: VDE libraries - header files
Group: Development/C

%description -n libvde-devel
header files for VDE Library files

%prep
%setup -q
cp %SOURCE1 .
%patch0 -p1
%patch1 -p1

%build
autoreconf -fisv
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
#%makeinstall
make install DESTDIR=$RPM_BUILD_ROOT

# cleanup static
find $RPM_BUILD_ROOT%{_libdir} -name '*.a' -delete
# cleanup la
find $RPM_BUILD_ROOT%{_libdir} -name '*.la' -delete

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%doc README README.altlinux
%{_man1dir}/*.1*
%{_man8dir}/*.8*
%dir %_sysconfdir/vde2
%config %_sysconfdir/vde2/vdecmd

# am I sure? not to lib?
%dir %_sysconfdir/vde2/libvdemgmt
%config %_sysconfdir/vde2/libvdemgmt/asyncrecv.rc
%config %_sysconfdir/vde2/libvdemgmt/closemachine.rc
%config %_sysconfdir/vde2/libvdemgmt/openmachine.rc
%config %_sysconfdir/vde2/libvdemgmt/sendcmd.rc

%files -n %{libname}
%{_libdir}/libvde*
%dir %{_libdir}/vde2
%{_libdir}/vde2/*
%{_libexecdir}/vdetap

%files -n libvde-devel
%{_includedir}/libvde*.h

%changelog
* Wed Oct 29 2008 Igor Vlasenko <viy@altlinux.ru> 2.2.2-alt1
- new version

* Wed Jan 03 2007 Igor Vlasenko <viy@altlinux.ru> 2.1.6-alt1
- first build for Sisyphus

* Wed Jan  3 2007 Igor Vlasenko <viy@altlinux.org> 2.1.6-1.fc5.viy
- new version

* Tue Dec 26 2006 Igor Vlasenko <viy@altlinux.org> 1.5.11-1.fc5.viy
- rebuild for fc5

* Fri Aug 04 2006 Stew Benedict <sbenedict@mandriva.com> 1.5.11-1mdv2007.0
- 1.5.11, drop P0 - merged upstream

* Tue Jul 19 2005 Stew Benedict <sbenedict@mandriva.com> 1.5.9-1mdk
- first Mandriva release

